package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.RelBisMed;

/**
 * 业务关联多媒体 服务层
 */
public interface IRelBisMedService {

    /**
     * 查询业务关联多媒体信息
     * @param guid 查询条件
     * @return 业务关联多媒体信息
     */
    RelBisMed selectRelBisMedByGuid(String guid);

    /**
     * 查询业务关联多媒体列表
     * @param relBisMed 业务关联多媒体查询条件
     * @return 业务关联多媒体集合
     */
    List<RelBisMed> selectRelBisMedList(RelBisMed relBisMed);

    /**
     * 新增业务关联多媒体
     * @param relBisMed 业务关联多媒体信息
     * @return 影响行数
     */
    int insertRelBisMed(RelBisMed relBisMed);

    /**
     * 修改业务关联多媒体
     * @param relBisMed 业务关联多媒体信息
     * @return 影响行数
     */
    int updateRelBisMed(RelBisMed relBisMed);

    /**
     * 删除业务关联多媒体
     * @param guid 业务关联多媒体主键
     * @return 影响行数
     */
    int deleteRelBisMedByGuid(String guid);

    /**
     * 批量删除业务关联多媒体
     * @param guids 业务关联多媒体主键数组
     * @return 影响行数
     */
    int deleteRelBisMedByGuids(String[] guids);

    /**
     * 根据业务表名和业务guid查询关联多媒体
     * @param bisTablename 业务表名
     * @param bisGuid 业务guid
     * @return 关联多媒体集合
     */
    List<RelBisMed> selectRelBisMedByBisInfo(String bisTablename, String bisGuid);

    /**
     * 根据业务表名和业务guid删除关联多媒体
     * @param bisTablename 业务表名
     * @param bisGuid 业务guid
     * @return 影响行数
     */
    int deleteRelBisMedByBisInfo(String bisTablename, String bisGuid);
}
